#
# spec file for package libtasn1 (Version 2.13)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl-3 libmpfr1 libmudflap43 libncurses5 libreadline5 libstdc++43 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers login m4 make man net-tools netcfg pam pam-modules patch perl perl-base permissions popt psmisc rpm sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           libtasn1
BuildRequires:  info
Version:        2.13
Release:        33.1
Url:            http://www.t2-project.org/packages/libtasn1.html
Group:          Productivity/Networking/Security
# FIXME: check this
License:        GPL v3 or later; LGPL v2.1 or later
Summary:        ASN.1 parsing library
Source:         libtasn1-%{version}.tar.bz2
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
PreReq:         %install_info_prereq
%endif

%description
This is the ASN.1 library used in GNUTLS. More up to date information
can be found at http://www.gnu.org/software/gnutls and
http://www.gnutls.org



Authors:
--------
    Original author:
    Fabio Fiorina <fiorinaf@gnutls.org>
    
    Current maintainer:
    Simon Josefsson <jas@extundo.com>

%debug_package
%package -n libtasn1-3
License:        GPL v3 or later
Summary:        ASN.1 parsing library
Requires:       %{name} >= %{version}
Group:          Productivity/Networking/Security

%description -n libtasn1-3
This is the ASN.1 library used in GNUTLS. More up to date information
can be found at http://www.gnu.org/software/gnutls and
http://www.gnutls.org



Authors:
--------
    Original author:
    Fabio Fiorina <fiorinaf@gnutls.org>
    
    Current maintainer:
    Simon Josefsson <jas@extundo.com>

%package devel
License:        GPL v3 or later
Requires:       %{name} = %{version}
Summary:        ASN.1 parsing library
Group:          Productivity/Networking/Security

%description devel
This is the ASN.1 library used in GNUTLS. More up to date information
can be found at http://www.gnu.org/software/gnutls and
http://www.gnutls.org



Authors:
--------
    Original author:
    Fabio Fiorina <fiorinaf@gnutls.org>
    
    Current maintainer:
    Simon Josefsson <jas@extundo.com>

%prep
%setup

%build
%configure
%__make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT/%{_libdir}/*.a
rm $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/%{_infodir}/dir

%post
%if 0%{?suse_version}
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%endif

%postun
%if 0%{?suse_version}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%endif

%post -n libtasn1-3 -p /sbin/ldconfig

%postun -n libtasn1-3 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog NEWS README THANKS
%{_bindir}/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz
%{_infodir}/*.info.gz

%files -n libtasn1-3
%defattr(-, root, root)
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libtasn1.pc
##{_datadir}/aclocal/libtasn1.m4

%changelog
* Sat Jun  2 2012 cs@linux-administrator.com
- update to version 2.13
* Sun Mar 25 2012 cs@linux-administrator.com
- update to version 2.12
